package com.neusoft.smart.pos.payorder.persistent.mapper;

import com.neusoft.smart.pos.payorder.persistent.domain.MchPaymentTradeLog;
import com.neusoft.smart.pos.payorder.persistent.domain.MchPaymentTradeLogExample;
import com.neusoft.smart.pos.payorder.persistent.domain.MchPaymentTradeLogWithBLOBs;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MchPaymentTradeLogMapper {
    int countByExample(MchPaymentTradeLogExample example);

    int deleteByExample(MchPaymentTradeLogExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MchPaymentTradeLogWithBLOBs record);

    int insertSelective(MchPaymentTradeLogWithBLOBs record);

    List<MchPaymentTradeLogWithBLOBs> selectByExampleWithBLOBs(MchPaymentTradeLogExample example);

    List<MchPaymentTradeLog> selectByExample(MchPaymentTradeLogExample example);

    MchPaymentTradeLogWithBLOBs selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MchPaymentTradeLogWithBLOBs record, @Param("example") MchPaymentTradeLogExample example);

    int updateByExampleWithBLOBs(@Param("record") MchPaymentTradeLogWithBLOBs record, @Param("example") MchPaymentTradeLogExample example);

    int updateByExample(@Param("record") MchPaymentTradeLog record, @Param("example") MchPaymentTradeLogExample example);

    int updateByPrimaryKeySelective(MchPaymentTradeLogWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(MchPaymentTradeLogWithBLOBs record);

    int updateByPrimaryKey(MchPaymentTradeLog record);

    void batchInsert(@Param("items") List<MchPaymentTradeLog> items);
}